DKPDoor Knock Pro Docs
Webhooks

List webhook endpoints

GET
/v1/webhooks

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

curl -X GET "https://app.doorknockpro.com/api/v1/webhooks" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

Paginated endpoints

{
  "links": {
    "first": "string",
    "last": "string",
    "prev": "string",
    "next": "string"
  },
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  },
  "data": [
    {
      "id": 0,
      "url": "string",
      "description": "string",
      "events": [
        "string"
      ],
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "is_active": true,
      "consecutive_failures": 0,
      "last_success_at": "2019-08-24T14:15:22Z",
      "last_failure_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}